
// 扩展 Date 对象
Date.prototype.format = function (format) {
    var date = {
        "M+": this.getMonth() + 1,
        "d+": this.getDate(),
        "h+": this.getHours(),
        "m+": this.getMinutes(),
        "s+": this.getSeconds(),
        "q+": Math.floor((this.getMonth() + 3) / 3),
        "S+": this.getMilliseconds()
    };
    if (/(y+)/i.test(format)) {
        format = format.replace(RegExp.$1, (this.getFullYear() + '').substr(4 - RegExp.$1.length));
    }
    for (var k in date) {
        if (new RegExp("(" + k + ")").test(format)) {
            format = format.replace(RegExp.$1, RegExp.$1.length == 1
                ? date[k] : ("00" + date[k]).substr(("" + date[k]).length));
        }
    }
    return format;
}


const cons = {
    log(obj, flag=''){

        console.log(`--------- ${flag} start ----------`);
        console.log(obj);
        console.log(`--------- ${flag} end ----------`);

    },
    text(obj, flag = '') {

        console.log(`--------- ${flag} start ----------`);
        console.log(json_beautify(obj));
        console.log(`--------- ${flag} end ----------`);

    },

};

/**
 * @description 设置 Rem 的参考单位
 */
!function (win, doc) {
    var docEl = doc.documentElement;
    var dpr = win.devicePixelRatio || 1;

    // set 1rem = deviceWidth / 20
    var setRemUnit = (function setRemUnitFn () {
        var clientWidth = Math.min(Math.max(320, docEl.clientWidth), 992);
        var rem = clientWidth / 20;

        docEl.style.fontSize = rem + 'px';

        return setRemUnitFn;
    })();

    // reset rem unit on page resize
    if (win.addEventListener) {
        win.addEventListener('resize', setRemUnit, !1);
        doc.addEventListener('DOMContentLoaded', setRemUnit, !1);
    }

    docEl.setAttribute('data-dpr', dpr);
}(window, document);